Subject: [Ntp] Internal server error code in NTS-KE

From: Watson Ladd <[email-masked]>
Date: Thu, 5 Dec 2019 11:58:32 -0800

Dear all,

I've just realized I'd like to send an error record in NTS-KE for a
temporary inability of the server to answer a request. There is no
error code allocated for this yet, so I'm going with 0xff, 0xff. On
that note should we have an experimental range for these codepoints?

Sincerely,
Watson Ladd

---

From: Daniel Franke <[email-masked]>
Date: Thu, 5 Dec 2019 15:11:45 -0500

> that note should we have an experimental range for these codepoints?

32768-65535 is already reserved for private & experimental use, so
0xffff is fine. Not a bad idea to have a standard codepoint for this
though.

---

From: Hal Murray <[email-masked]>
Date: Thu, 05 Dec 2019 18:01:14 -0800

watson=[email-masked] said:
> I've just realized I'd like to send an error record in NTS-KE for a temporary
> inability of the server to answer a request. There is no error code allocated
> for this yet, so I'm going with 0xff, 0xff. On that note should we have an
> experimental range for these codepoints? 

Can you easily setup a server that returns an error so that we can test client 
code?

If so, something other than 0xff, 0xff would help test byte swapping.

-------

What sort of retry time is reasonable?

-- 
These are my opinions.  I hate spam.